BIKCK(3)

SYNOPSIS
SUBROUTINE BIKCK (LUN, KPRINT, IPASS)

NAME
bikck - Quick check for BESI and BESK.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (BIKCK-S, DBIKCK-D)

KEYWORDS
QUICK CHECK

AUTHOR
Amos, D. E., (SNLA)

DESCRIPTION
BIKCK is a quick check routine for BESI and BESK. The main loops evaluate the Wronskian and test the error. Underflow and overflow diagnostics are checked in addition to illegal arguments.

ROUTINES CALLED
BESI, BESK, NUMXER, R1MACH, XERCLR, XGETF, XSETF

REVISION HISTORY (YYMMDD)
750101 DATE WRITTEN
890911 Removed unnecessary intrinsics. (WRB)
891004 Removed unreachable code. (WRB)
891004 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
901013 Editorial changes, some restructing and modifications to obtain more information when there is failure of the Wronskian. (RWC)
910501 Added PURPOSE and TYPE records. (WRB)
910708 Code revised to test error returns for all values of KPRINT. (WRB)